Skoči na vsebino

User profiles

User profiles

The user profile object

Attributes

referrer_iduuid | null

Identifier of the user that referred the user

user_iduuid

Unique identifier

created_atread-onlytimestamp with time zone

Creation timestamp

updated_atread-onlytimestamp with time zone

Last modification timestamp

avatartext | null

URL of the avatar image

emailtext

Email address of the user

first_week_contains_date1 | 4 | null

Day of January the first week of the year contains: 1, or 4 as in ISO 8601

ftsread-onlytsvector

Full text search index

languageLanguage

Language of the user

last_login_attimestamp with time zone | null

Timestamp at which the user last logged in

nametext | null

Name of the user

sourcetext | null

Source of the user

week_starts_onDay | null

First day of the week: 0 for Sunday or 1 for Monday

Related resources

Embed related resources in the response with the select parameter, for example select=*,calendar_event_notes(*). Resources related through more than one column need the column as a hint, like table!column(*).

calendar_event_notes(*)array
calendar_event_notes

The calendar event notes referencing this user profile through calendar_event_notes.author_id.

calendar_events!creator_id(*)array
calendar_events

The calendar events referencing this user profile through calendar_events.creator_id.

contacts(*)array
contacts

The contacts referencing this user profile through contacts.creator_id.

members(*)array
members

The members referencing this user profile through members.user_id.

organizations!referrer_id(*)array
organizations

The organizations referencing this user profile through organizations.referrer_id.

The user profile object
JSON
{
  "referrer_id": "00000000-0000-0000-0000-000000000000",
  "user_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-10-30T22:26:24.060Z",
  "updated_at": "2026-10-30T22:26:24.060Z",
  "avatar": "",
  "email": "guest@example.com",
  "first_week_contains_date": 0,
  "language": "en-US",
  "last_login_at": "2026-10-30T22:26:24.060Z",
  "name": "Summer cottage",
  "source": "",
  "week_starts_on": 0
}
Including related resources
curl -X GET "https://api.bookingmood.com/v1/user_profiles?limit=10&select=*,calendar_event_notes(*),calendar_events!creator_id(*)" \
  -H "Authorization: Bearer YOUR_API_KEY"

List user profiles

Filters

referrer_idFilter<uuid | null>

Identifier of the user that referred the user

user_idFilter<uuid>

Unique identifier

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

avatarFilter<text | null>

URL of the avatar image

emailFilter<text>

Email address of the user

first_week_contains_dateFilter<1 | 4 | null>

Day of January the first week of the year contains: 1, or 4 as in ISO 8601

ftsFilter<tsvector>

Full text search index

languageFilter<Language>

Language of the user

last_login_atFilter<timestamp with time zone | null>

Timestamp at which the user last logged in

nameFilter<text | null>

Name of the user

sourceFilter<text | null>

Source of the user

week_starts_onFilter<Day | null>

First day of the week: 0 for Sunday or 1 for Monday

Responses

200

A list of user profiles with the selected columns

206

Partial Content

400

The request is malformed, for example an unknown column or an invalid filter.

401

The API key is missing or invalid.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
GET /user_profiles
curl -X GET "https://api.bookingmood.com/v1/user_profiles?select=*&limit=10" \
  -H "Authorization: Bearer YOUR_API_KEY"
Example response
JSON
[
  {
    "referrer_id": "00000000-0000-0000-0000-000000000000",
    "user_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T22:26:24.060Z",
    "updated_at": "2026-10-30T22:26:24.060Z",
    "avatar": "",
    "email": "guest@example.com",
    "first_week_contains_date": 0,
    "language": "en-US",
    "last_login_at": "2026-10-30T22:26:24.060Z",
    "name": "Summer cottage",
    "source": "",
    "week_starts_on": 0
  }
]

Prevzemite nadzor nad svojimi rezervacijami. Zgradite svoje podjetje.

Pridružite se več kot 1200 neodvisnim ponudnikom počitniških najemov, ki uporabljajo Bookingmood za povečanje števila neposrednih rezervacij in vzpostavitev trdnejših odnosov z gosti.

Začetek brezplačnega 14-dnevnega preizkusa